org.apache.tinkerpop.gremlin.structure

## Class TransactionTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.TransactionTest

-     public class TransactionTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowAutoTransactionToWorkWithoutMutationByDefault()`
    `void` | `shouldAllowJustCommitOnlyWithAutoTransaction()`
    `void` | `shouldAllowJustRollbackOnlyWithAutoTransaction()`
    `void` | `shouldAllowReferenceOfEdgeIdOutsideOfOriginalThreadAuto()`
    `void` | `shouldAllowReferenceOfEdgeIdOutsideOfOriginalThreadManual()`
    `void` | `shouldAllowReferenceOfEdgeOutsideOfOriginalTransactionalContextAuto()`
    `void` | `shouldAllowReferenceOfEdgeOutsideOfOriginalTransactionalContextManual()`
    `void` | `shouldAllowReferenceOfVertexIdOutsideOfOriginalThreadAuto()`
    `void` | `shouldAllowReferenceOfVertexIdOutsideOfOriginalThreadManual()`
    `void` | `shouldAllowReferenceOfVertexOutsideOfOriginalTransactionalContextAuto()`
    `void` | `shouldAllowReferenceOfVertexOutsideOfOriginalTransactionalContextManual()`
    `void` | `shouldCommitElementAutoTransactionByDefault()`
    `void` | `shouldCommitOnCloseWhenConfigured()`
    `void` | `shouldCommitPropertyAutoTransactionByDefault()`
    `void` | `shouldCountVerticesEdgesOnPreTransactionCommit()`
    `void` | `shouldExecuteCompetingThreadsOnMultipleDbInstances()`
    `void` | `shouldExecuteWithCompetingThreads()`
    `void` | `shouldHaveExceptionConsistencyWhenOnCloseToNull()`
    `void` | `shouldHaveExceptionConsistencyWhenOnReadWriteToNull()`
    `void` | `shouldHaveExceptionConsistencyWhenTransactionAlreadyOpen()`
    `void` | `shouldHaveExceptionConsistencyWhenTransactionOpenOnClose()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingManualTransaction()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingManualTransactionOnCommit()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingManualTransactionOnRollback()`
    `void` | `shouldNotifyTransactionListenersInSameThreadOnlyOnCommitSuccess()`
    `void` | `shouldNotifyTransactionListenersInSameThreadOnlyOnRollbackSuccess()`
    `void` | `shouldNotifyTransactionListenersOnCommitSuccess()`
    `void` | `shouldNotifyTransactionListenersOnRollbackSuccess()`
    `void` | `shouldNotReuseThreadedTransaction()`
    `void` | `shouldNotShareTransactionCloseConsumersAcrossThreads()`
    `void` | `shouldNotShareTransactionReadWriteConsumersAcrossThreads()`
    `void` | `shouldOpenTxWhenThreadedTransactionIsCreated()`
    `void` | `shouldRollbackElementAutoTransactionByDefault()`
    `void` | `shouldRollbackOnCloseByDefault()`
    `void` | `shouldRollbackPropertyAutoTransactionByDefault()`
    `void` | `shouldSupportMultipleThreadsOnTheSameTransaction()`
    `void` | `shouldSupportTransactionExponentialBackoff()`
    `void` | `shouldSupportTransactionExponentialBackoffWithExceptionChecks()`
    `void` | `shouldSupportTransactionFireAndForget()`
    `void` | `shouldSupportTransactionIsolationCommitCheck()`
    `void` | `shouldSupportTransactionIsolationWithSeparateThreads()`
    `void` | `shouldSupportTransactionOneAndDone()`
    `void` | `shouldSupportTransactionRetry()`
    `void` | `shouldSupportTransactionRetryWhenUsingManualTransactions()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionTest

          public TransactionTest()

  - ### Method Detail

    - #### shouldHaveExceptionConsistencyWhenTransactionAlreadyOpen

          public void shouldHaveExceptionConsistencyWhenTransactionAlreadyOpen()

    - #### shouldHaveExceptionConsistencyWhenTransactionOpenOnClose

          public void shouldHaveExceptionConsistencyWhenTransactionOpenOnClose()

    - #### shouldHaveExceptionConsistencyWhenUsingManualTransaction

          public void shouldHaveExceptionConsistencyWhenUsingManualTransaction()

    - #### shouldHaveExceptionConsistencyWhenUsingManualTransactionOnCommit

          public void shouldHaveExceptionConsistencyWhenUsingManualTransactionOnCommit()

    - #### shouldHaveExceptionConsistencyWhenUsingManualTransactionOnRollback

          public void shouldHaveExceptionConsistencyWhenUsingManualTransactionOnRollback()

    - #### shouldAllowJustCommitOnlyWithAutoTransaction

          public void shouldAllowJustCommitOnlyWithAutoTransaction()

    - #### shouldAllowJustRollbackOnlyWithAutoTransaction

          public void shouldAllowJustRollbackOnlyWithAutoTransaction()

    - #### shouldHaveExceptionConsistencyWhenOnCloseToNull

          public void shouldHaveExceptionConsistencyWhenOnCloseToNull()

    - #### shouldHaveExceptionConsistencyWhenOnReadWriteToNull

          public void shouldHaveExceptionConsistencyWhenOnReadWriteToNull()

    - #### shouldAllowAutoTransactionToWorkWithoutMutationByDefault

          public void shouldAllowAutoTransactionToWorkWithoutMutationByDefault()

    - #### shouldNotifyTransactionListenersOnCommitSuccess

          public void shouldNotifyTransactionListenersOnCommitSuccess()

    - #### shouldNotifyTransactionListenersInSameThreadOnlyOnCommitSuccess

          public void shouldNotifyTransactionListenersInSameThreadOnlyOnCommitSuccess()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldNotifyTransactionListenersOnRollbackSuccess

          public void shouldNotifyTransactionListenersOnRollbackSuccess()

    - #### shouldNotifyTransactionListenersInSameThreadOnlyOnRollbackSuccess

          public void shouldNotifyTransactionListenersInSameThreadOnlyOnRollbackSuccess()
                                                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldCommitElementAutoTransactionByDefault

          public void shouldCommitElementAutoTransactionByDefault()

    - #### shouldRollbackElementAutoTransactionByDefault

          public void shouldRollbackElementAutoTransactionByDefault()

    - #### shouldCommitPropertyAutoTransactionByDefault

          public void shouldCommitPropertyAutoTransactionByDefault()

    - #### shouldRollbackPropertyAutoTransactionByDefault

          public void shouldRollbackPropertyAutoTransactionByDefault()

    - #### shouldCommitOnCloseWhenConfigured

          public void shouldCommitOnCloseWhenConfigured()
                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldRollbackOnCloseByDefault

          public void shouldRollbackOnCloseByDefault()
                                              throws Exception

      Throws:
        `Exception`

    - #### shouldExecuteWithCompetingThreads

          public void shouldExecuteWithCompetingThreads()

    - #### shouldExecuteCompetingThreadsOnMultipleDbInstances

          public void shouldExecuteCompetingThreadsOnMultipleDbInstances()
                                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldSupportTransactionIsolationCommitCheck

          public void shouldSupportTransactionIsolationCommitCheck()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMultipleThreadsOnTheSameTransaction

          public void shouldSupportMultipleThreadsOnTheSameTransaction()
                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldOpenTxWhenThreadedTransactionIsCreated

          public void shouldOpenTxWhenThreadedTransactionIsCreated()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldNotReuseThreadedTransaction

          public void shouldNotReuseThreadedTransaction()
                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldSupportTransactionFireAndForget

          public void shouldSupportTransactionFireAndForget()

    - #### shouldSupportTransactionOneAndDone

          public void shouldSupportTransactionOneAndDone()

    - #### shouldSupportTransactionExponentialBackoff

          public void shouldSupportTransactionExponentialBackoff()

    - #### shouldSupportTransactionExponentialBackoffWithExceptionChecks

          public void shouldSupportTransactionExponentialBackoffWithExceptionChecks()

    - #### shouldSupportTransactionRetry

          public void shouldSupportTransactionRetry()

    - #### shouldSupportTransactionRetryWhenUsingManualTransactions

          public void shouldSupportTransactionRetryWhenUsingManualTransactions()

    - #### shouldCountVerticesEdgesOnPreTransactionCommit

          public void shouldCountVerticesEdgesOnPreTransactionCommit()

    - #### shouldSupportTransactionIsolationWithSeparateThreads

          public void shouldSupportTransactionIsolationWithSeparateThreads()
                                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldAllowReferenceOfVertexOutsideOfOriginalTransactionalContextManual

          public void shouldAllowReferenceOfVertexOutsideOfOriginalTransactionalContextManual()

    - #### shouldAllowReferenceOfEdgeOutsideOfOriginalTransactionalContextManual

          public void shouldAllowReferenceOfEdgeOutsideOfOriginalTransactionalContextManual()

    - #### shouldAllowReferenceOfVertexOutsideOfOriginalTransactionalContextAuto

          public void shouldAllowReferenceOfVertexOutsideOfOriginalTransactionalContextAuto()

    - #### shouldAllowReferenceOfEdgeOutsideOfOriginalTransactionalContextAuto

          public void shouldAllowReferenceOfEdgeOutsideOfOriginalTransactionalContextAuto()

    - #### shouldAllowReferenceOfVertexIdOutsideOfOriginalThreadManual

          public void shouldAllowReferenceOfVertexIdOutsideOfOriginalThreadManual()
                                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldAllowReferenceOfEdgeIdOutsideOfOriginalThreadManual

          public void shouldAllowReferenceOfEdgeIdOutsideOfOriginalThreadManual()
                                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldAllowReferenceOfVertexIdOutsideOfOriginalThreadAuto

          public void shouldAllowReferenceOfVertexIdOutsideOfOriginalThreadAuto()
                                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldAllowReferenceOfEdgeIdOutsideOfOriginalThreadAuto

          public void shouldAllowReferenceOfEdgeIdOutsideOfOriginalThreadAuto()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldNotShareTransactionReadWriteConsumersAcrossThreads

          public void shouldNotShareTransactionReadWriteConsumersAcrossThreads()
                                                                        throws InterruptedException

      Throws:
        `InterruptedException`

    - #### shouldNotShareTransactionCloseConsumersAcrossThreads

          public void shouldNotShareTransactionCloseConsumersAcrossThreads()
                                                                    throws InterruptedException

      Throws:
        `InterruptedException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.